Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 174)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 175)
@@ -10,12 +10,17 @@
    ; ***************************************************
    
-   if (isfilepresent(".ncl_preferences")) then
-      parameter = asciiread(".ncl_preferences",77,"string")
+   if (isfilepresent("~/.ncl_preferences")) then
+      parameter = asciiread("~/.ncl_preferences",129,"string")
       delete(parameter@_FillValue)
    else
-      print(" ")
-      print("'.ncl_preferences' is not existent")
-      print(" ")
-      exit
+      if (isfilepresent("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences")) then
+         parameter = asciiread("~/palm/current_version/trunk/SRIPTS/NCL/.ncl_preferences",129,"string")
+         delete(parameter@_FillValue)
+      else
+         print(" ")
+         print("'.ncl_preferences' is not present in '~/palm/current_version/trunk/SRIPTS/NCL/'")
+         print(" ")
+         exit
+      end if
    end if
 
@@ -24,20 +29,41 @@
    ; ***************************************************
   
-   if ( .not. isvar("file_in") ) then     		; path+name of input file      
-      if (parameter(7) .EQ. "input file") then
-         print(" ")
-         print("Please provide input file 'file_in = ' either in prompt or parameter_list")
+   if ( .not. isvar("file_1") ) then     		  
+      if (parameter(7) .EQ. "File in") then
+         print(" ")
+         print("Please provide 1st input file 'file_1=' either in prompt or parameter_list")
          print(" ")
          exit
       else
          file_in = parameter(7)
-      end if      
-   end if
-   if ( .not. isvar("format_out") ) then   		; format of output file 
+      end if   
+   else
+      file_in = file_1   
+   end if
+   if (.not. isfilepresent(file_in)) then
+      print(" ")
+      print("Your 1st input file: '"+file_in+"' does not exist")
+      print(" ")
+      exit
+   end if 
+
+   if ( .not. isvar("format_out") ) then   		
       format_out = "x11"
       if (parameter(9) .NE. "x11") then
          format_out = parameter(9)  
+         if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+            print(" ")
+            print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+            print(" ")
+         end if  
       end if 
-   end if
+   else
+      if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
+         print(" ")
+         print("Your 'format_out = "+format_out+"' is invalid and set to'x11'")
+         print(" ")
+      end if   
+   end if
+
    if ( .not. isvar("file_out") ) then    	 	; path+name of output file
       file_out = "test"
@@ -46,4 +72,5 @@
       end if     
    end if
+
    if ( .not. isvar("no_columns") ) then    		; number of plots in one row
       no_columns = 1
@@ -52,4 +79,5 @@
       end if
    end if
+
    if ( .not. isvar("no_lines") ) then     		; number of plot-lines on one sheet
       no_lines = 2
@@ -58,7 +86,9 @@
       end if
    end if  
+
    if ( .not. isvar("var") ) then   			; variable name
       check = True
    end if
+
    if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
       over = 0
@@ -67,11 +97,18 @@
          if (stringtointeger(parameter(37)) .NE. 1) then
             print(" ")
-            print("Please set 'over' to 0 or 1")
-            print(" ")
-            exit
+            print("Your 'over'= "+over+" is invalid and set to 0")
+            print(" ")
+            over = 0
          end if   
       end if
-   end if 
-  
+   else
+      if (over .NE. 0 .AND. over .NE. 1)then
+         print(" ")
+         print("Your 'over'= "+over+" is invalid and set to 0")
+         print(" ")
+         over = 0
+      end if
+   end if
+
    ; ***************************************************
    ; open input file
@@ -220,4 +257,9 @@
    delete(end_time_step)
    end_time_step=round(et,3)
+
+   print(" ")
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
+   print(" ")
 
    t = f->time(start_time_step:end_time_step)
@@ -477,10 +519,8 @@
    if (count_var .EQ. 0) then
       print(" ")
-      print("Please select a variable 'var=' or use the default value")
-      print(" ")
-      print("Your selection '"+var+"' does not exist on the input file")
+      print("The variables 'var=Â°"+var+"Â°' do not exist on your input file")
       print(" ")
       exit
-   end if 
+   end if
 
    do varn = dim-1,0,1 
@@ -500,4 +540,11 @@
   
       if(check) then
+
+        if (isStrSubset(vNam(varn),"_0" ))then
+            print(" ")
+            print("If you have Outputs of statistic regions you cannot overlay variables; 'over' is set to 0")
+            print(" ")
+            over = 0
+         end if
 
         if (over .EQ. 1) then
